Index: trunk/abdev/BasicCompiler_Common/common.h
===================================================================
--- trunk/abdev/BasicCompiler_Common/common.h	(revision 167)
+++ trunk/abdev/BasicCompiler_Common/common.h	(revision 182)
@@ -19,6 +19,4 @@
 #include <boost/foreach.hpp>
 
-#define foreach BOOST_FOREACH
-
 using namespace std;
 
@@ -39,5 +37,4 @@
 #include "../BasicCompiler_Common/psapi.h"
 #include "../BasicCompiler_Common/BreakPoint.h"
-#include "../BasicCompiler_Common/LexicalScoping.h"
 
 
@@ -56,5 +53,4 @@
 
 #define MAX_LEN			65535
-#define VN_SIZE			512
 #define DIGIT_SIZE		128
 #define MAX_PARMS		64
@@ -91,5 +87,4 @@
 extern HANDLE hHeap;
 extern int cp;
-extern bool isUnicode;
 extern int typeOfPtrChar;
 extern int typeOfPtrUChar;
@@ -144,7 +139,4 @@
 
 
-// クラス管理用のクラス
-#include "Class.h"
-
 // 列挙体管理用のクラス
 #include "Enum.h"
@@ -152,16 +144,4 @@
 // 定数管理用のクラス
 #include "Const.h"
-
-// 変数管理用のクラス
-#include "Variable.h"
-
-// パラメータ管理用のクラス
-#include "Parameter.h"
-
-// プロシージャ管理用のクラス
-#include "Procedure.h"
-
-// コンパイラが必要とするデータハウス
-#include <Smoothie.h>
 
 
@@ -170,9 +150,4 @@
 	char *FileName;
 	int line;
-};
-struct INCLUDEFILEINFO{
-	char **ppFileNames;
-	int FilesNum;
-	int LineOfFile[MAX_LEN];
 };
 
@@ -272,5 +247,4 @@
 #include "../BasicCompiler_Common/DebugSection.h"
 #include "../BasicCompiler_Common/VariableOpe.h"
-#include <Exception.h>
 
 
@@ -388,14 +362,4 @@
 void SlideString(char *str,int slide);
 void SlideBuffer(char *buffer,int length,int slide);
-_int8 IsCommandDelimitation(char c);
-BOOL IsBlank(char c);
-int GetOneParameter(const char *Parameter,int pos,char *retAns);
-int JumpOneParameter(char *Parameter,int i);
-int GetStringInQuotation(char *buffer,char *ReadBuffer);
-int GetStringInPare(char *buffer,const char *ReadBuffer);
-int GetStringInPare_RemovePare(char *buffer,char *ReadBuffer);
-int GetStringInBracket(char *buffer,const char *ReadBuffer);
-int JumpStringInPare(const char *buffer,int pos);
-int JumpStringInBracket(const char *buffer,int pos);
 int GetCpFromLine(int LineNum);
 BOOL GetLineNum(int pos,int *pLine,char *FileName);
@@ -435,6 +399,4 @@
 int GetProc(char *name,void **ppInfo);
 void SplitObjectName(const char *name,char *ObjectName,int *pRefType);
-bool SplitMemberName( const char *desc, char *object, char *member, CClass::RefType &refType );
-bool SplitMemberName( const char *desc, char *object, char *member );
 bool CallProc( int kind, const void *pProc, const char *fullCallName, const char *lpszParms, Type &resultType, bool isCallOn = true );
 bool CallPropertyMethod( const char *variable, const char *rightSide, Type &resultType);
@@ -446,5 +408,4 @@
 void DeleteDeclareInfo(void);
 int AddProcPtrInfo( const string &typeExpression, int nowLine );
-void DeleteProcPtrInfo(void);
 bool IsNeedProcCompile();
 
@@ -452,41 +413,4 @@
 void Opcode_Input(const char *Parameter);
 void Opcode_Print(const char *Parameter,BOOL bWrite);
-
-//LoopRefCheck.cpp
-class CLoopRefCheck{
-	char **names;
-	int num;
-	void init();
-public:
-	CLoopRefCheck();
-	~CLoopRefCheck();
-	void add(const char *lpszInheritsClass);
-	void del(const char *lpszInheritsClass);
-	BOOL check(const CClass &inheritsClass) const;
-};
-extern CLoopRefCheck *pobj_LoopRefCheck;
-
-//DataTable.cpp
-class DataTable{
-	void *pdata;
-	int size;
-
-public:
-	DataTable();
-	~DataTable();
-	void Init();
-
-	int AddBinary( const void *pdata, int size );
-	int Add( _int64 i64data );
-	int Add( int i32data );
-	int Add( double dbl );
-	int Add( float flt );
-	int AddString( const char *str, int length );
-	int AddString( const char *str );
-
-	const void *GetPtr() const;
-	int GetSize() const;
-};
-extern DataTable dataTable;
 
 //error.cpp
@@ -499,5 +423,4 @@
 
 //Compile.cpp
-void ReallocNativeCodeBuffer();
 void GetIdentifierToken( char *token, const char *source, int &pos );
 int JumpStatement(const char *source, int &pos);
